##Obstacles scoreboard
scoreboard objectives remove astro_game.obstacles
scoreboard objectives add astro_game.obstacles dummy 

#  Settings
# enables (1) / disables (0) obstacles 
scoreboard players set enabled astro_game.obstacles 1
# speed increase amount
scoreboard players set speed_increase_amount astro_game.obstacles 2
# base step amount, divided by 10000 (625 == 0.0625)
scoreboard players set base_step astro_game.obstacles 625
# controls obstacle speed 
scoreboard players set speed astro_game.obstacles 20
# (obstacle.z > destroy threshold) destroy;
scoreboard players set destroy_threshold astro_game.obstacles 17
# interval value in ticks for spawning cooldown
scoreboard players set spawning_threshold astro_game.obstacles 12
# the amount of spawning_threshold before a speed increase accurs
scoreboard players set speed_increase_threshold astro_game.obstacles 30
# max amount of speed
scoreboard players set speed_cap astro_game.obstacles 60


#  calculation variables
scoreboard players set old_z_buffer astro_game.obstacles 0
scoreboard players set z_buffer astro_game.obstacles 0
scoreboard players set distance_buffer astro_game.obstacles 0
scoreboard players set spawning_counter astro_game.obstacles -20
scoreboard players set spawning_roll astro_game.obstacles 0
scoreboard players set speed_increase_counter astro_game.obstacles 0
scoreboard players set countdown astro_game.obstacles 80


# Storage variable, represents the monster ID of the egg collected, 0 means non
scoreboard players set collected_egg astro_game.obstacles 0


## Tutorial Scoreboard 
scoreboard objectives remove astro_game.tutorial
scoreboard objectives add astro_game.tutorial dummy
scoreboard players set stage astro_game.tutorial 0
scoreboard players set waiting_for_completion astro_game.tutorial 0
scoreboard players set waves astro_game.tutorial 0
scoreboard players set arrow_highlight astro_game.tutorial 0
scoreboard players set message_skip_cooldown astro_game.tutorial 0
scoreboard players set random_buffer astro_game.tutorial 0