#This function should run as an entity with the tag "animatable_egg"

#Exit if the animation was complete
execute if score current_frame astro_game.egg_animator = max_frames astro_game.egg_animator run scoreboard players set ticker astro_game.egg_animator 0
execute if score current_frame astro_game.egg_animator = max_frames astro_game.egg_animator run return run kill @e[tag=alien_egg]

#Tick counter
scoreboard players add ticker astro_game.egg_animator 1

#Calculate if it's time to run the frame
scoreboard players operation calculation_buffer astro_game.egg_animator = ticker astro_game.egg_animator
scoreboard players operation calculation_buffer astro_game.egg_animator %= ticks_per_frame astro_game.egg_animator

#Exit if it's not the right time
execute if score calculation_buffer astro_game.egg_animator matches 1.. run return 0

#Else calculate if the egg should tilt left or right
scoreboard players operation calculation_buffer astro_game.egg_animator = current_frame astro_game.egg_animator
scoreboard players operation calculation_buffer astro_game.egg_animator %= 2 astro_game.egg_animator

#Make the egg tilt
execute if score calculation_buffer astro_game.egg_animator matches 0 as @s run function astro_game:game/aliens/egg/animations/tilt_left
execute if score calculation_buffer astro_game.egg_animator matches 1 as @s run function astro_game:game/aliens/egg/animations/tilt_right

#Increase frame count 
scoreboard players add current_frame astro_game.egg_animator 1 

#Run reveal effect
execute if score current_frame astro_game.egg_animator >= max_frames astro_game.egg_animator as @s positioned as @s run function astro_game:game/aliens/egg/animations/reveal


#Run hide egg on last frame
execute if score current_frame astro_game.egg_animator = max_frames astro_game.egg_animator as @s run function astro_game:game/aliens/egg/animations/hide_and_spawn
