#This function should run as an entity with the tag "start_button"



#return if game is running 
execute if score running astro_game.persistent matches 1 run return run data remove entity @s interaction 

#if no player right-clicked, return
execute unless data entity @s interaction run return 0

#return if game is attempting to start 
execute on target if entity @s[tag=controller] run return 0

schedule clear astro_game:game/start
schedule function astro_game:game/start 20t append

# Set as controller
tag @a remove controller
execute on target run tag @s add controller

# Set as game_viewer
tag @a remove game_viewer
execute on target run tag @s add game_viewer

#fade title
execute on target run title @s times 15t 10t 15t 
execute on target run title @s title {"text": "\uF830","font":"minecraft:al"}

# Update spaceship based on suit
execute on target run function astro_game:lobby/suits/handle_spaceship_equip


#Reset interaction value to allow more right clicks
data remove entity @s interaction 



execute positioned as @s run playsound sounds:5 master @a[distance=0..5] 0 0 0 1 1 0.3