#despawn all non boost portal
execute if score boost_fuel astro_game.powerups matches 0 as @e[tag=obstacle] run function astro_game:obstacles/actions/despawn_with_animation

#title effect
execute if score boost_fuel astro_game.powerups matches 0 run title @a[tag=game_viewer] times 2t 100t 10t
execute if score boost_fuel astro_game.powerups matches 0 run title @a[tag=game_viewer] title {"font":"al","text":"\uF863"}

#make boost run for 3 seconds
execute if score boost_fuel astro_game.powerups matches 0 run scoreboard players add boost_fuel astro_game.powerups 100 

#make boost speed reminder for restoration, note that it stacks boosts
execute if score speed astro_game.obstacles < speed_cap astro_game.obstacles run scoreboard players operation boost_offset_buffer astro_game.powerups += boost_speed_increase astro_game.powerups

#increase obstacles speed
execute if score speed astro_game.obstacles < speed_cap astro_game.obstacles run scoreboard players operation speed astro_game.obstacles += boost_speed_increase astro_game.powerups


#stretch thrusters
data modify entity @e[tag=spaceship_thruster,limit=1] transformation.scale[2] set value 2f
data modify entity @e[tag=spaceship_thruster,limit=1] transformation.translation[2] set value 2.9375f
#activate supersonic layer
data modify entity @e[tag=spaceship_supersonic_layer,limit=1] transformation.scale set value [1f, 1f, 1f]


#bossbar effect
bossbar add astro_game:speed_effect [{"font":"al","text":"\uF862"}]
bossbar set astro_game:speed_effect players @a[tag=game_viewer]

#Increase obstacle spawn rate 
scoreboard players set spawning_threshold astro_game.obstacles 8

#sound
playsound sounds:speed_up master @a[tag=game_viewer] ~ ~ ~ 1 1 1