#This function should run as an entity with the tag "spaceship_turret"
#Offset turret
execute as @s positioned as @e[tag=spaceship_body,limit=1] run teleport @s ~ ~0.24375 ~

#Mark turret target
execute positioned as @s facing ~ ~ ~-1 run function astro_game:spaceship/actions/turret/raycast_for_target

#Aim turret
execute as @s positioned as @s facing entity @e[tag=turret_target_display] eyes run teleport @s ~ ~ ~ ~ ~

#Manage energy 
execute if score force_recharge_fuel astro_game.turret matches 0 if score energy_fuel astro_game.turret < max_energy astro_game.turret run scoreboard players add energy_fuel astro_game.turret 1
execute if score force_recharge_fuel astro_game.turret matches 1 run scoreboard players operation energy_fuel astro_game.turret = max_energy astro_game.turret
execute if score force_recharge_fuel astro_game.turret matches 1.. run scoreboard players remove force_recharge_fuel astro_game.turret 1

#Manage output
# energy output
scoreboard players operation energy_output astro_game.turret = energy_fuel astro_game.turret
scoreboard players operation energy_output astro_game.turret *= calculation_multiplier astro_game.turret
scoreboard players operation energy_output astro_game.turret /= max_energy astro_game.turret
scoreboard players operation energy_output astro_game.turret *= clamp astro_game.turret
scoreboard players operation energy_output astro_game.turret /= calculation_multiplier astro_game.turret
execute if score energy_fuel astro_game.turret matches 1.. if score energy_output astro_game.turret matches 0 run scoreboard players set energy_output astro_game.turret 1


# recharge output
scoreboard players operation recharge_output astro_game.turret = force_recharge_fuel astro_game.turret
scoreboard players operation recharge_output astro_game.turret *= calculation_multiplier astro_game.turret
scoreboard players operation recharge_output astro_game.turret /= max_force_recharge_fuel astro_game.turret
scoreboard players operation recharge_output astro_game.turret *= clamp astro_game.turret
scoreboard players operation recharge_output astro_game.turret /= calculation_multiplier astro_game.turret
execute if score force_recharge_fuel astro_game.turret matches 1.. if score recharge_output astro_game.turret matches 0 run scoreboard players set recharge_output astro_game.turret 1 